Bug 7731 - Library should be used instead of branch and site
Summary: Library should be used instead of branch and site
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 11:13 UTC by Gaetan Boisson
Modified: 2013-05-23 06:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7731 - Library should be used instead of branch and site (52.63 KB, patch)
2012-03-19 14:57 UTC, Gaetan Boisson
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7731 - Library should be used instead of branch and site (52.70 KB, patch)
2012-03-19 15:23 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7731 [Follow-up] Library should be used instead of branch and site (27.44 KB, patch)
2012-11-26 19:36 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 7731 [Follow-up] Library should be used instead of branch and site (27.47 KB, patch)
2012-11-27 01:00 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7731 [Follow-up] Library should be used instead of branch and site (27.61 KB, patch)
2012-11-28 07:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan Boisson 2012-03-19 11:13:59 UTC
The three terms "library", "branch" and "site" are used in the interface, but are actually referring to the same thing in Koha.

This should be standardized to "library" which would make things clearer for users, and easier to translate.
Comment 1 Gaetan Boisson 2012-03-19 14:57:51 UTC Comment hidden (obsolete)
Comment 2 Gaetan Boisson 2012-03-19 14:59:39 UTC
When encountering the term "holding branch" it was standardized to "current location" which is what is used in the interface at the moment, instead of "holding library".
Comment 3 Nicole C. Engard 2012-03-19 15:17:34 UTC
Gaeton,

I'm not sure what your last comment means, but I think that it should say 'current library' or 'holding library' to stick with the standard of the word 'library' and to avoid confusion with 'shelving location'

Nicole
Comment 4 Gaetan Boisson 2012-03-19 15:22:32 UTC
Nicole, you're right, it would probably be more consistent. Actually we discussed it briefly with Owen.

I will leave the decision to native english speakers.
Comment 5 Nicole C. Engard 2012-03-19 15:23:14 UTC Comment hidden (obsolete)
Comment 6 Ian Walls 2012-03-19 16:19:07 UTC
Template only change, conscientiously renaming 'branch' to 'library'.  Makes things clearer, I think.  Marking as Passed QA.
Comment 7 Paul Poulain 2012-03-20 15:04:40 UTC
patch pushed, congrats gaetan, you're in the hall of fame ;-)
Comment 8 Owen Leonard 2012-11-26 19:36:53 UTC Comment hidden (obsolete)
Comment 9 Melia Meggs 2012-11-27 01:00:15 UTC Comment hidden (obsolete)
Comment 10 Melia Meggs 2012-11-27 01:00:51 UTC
Everything looks correct to me. Signing off.
Comment 11 Katrin Fischer 2012-11-28 07:03:52 UTC
Created attachment 13722 [details] [review]
[SIGNED-OFF] Bug 7731 [Follow-up] Library should be used instead of branch and site

This patch corrects new and old instances of the use of the
term "branch" and replaces them with "library."

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass, changes look good.
Also inlcudes some bookseller > vendor changes.
Comment 12 Katrin Fischer 2012-11-28 07:05:56 UTC
A lot of the changes are for help files, I think we might need a patch to the manual too to make sure the branches stay away.
Comment 13 Jared Camins-Esakov 2012-11-29 00:11:36 UTC
This patch has been pushed to master.